package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;

public class SPCarts {
    private Integer id;

    private String orderid;

    private String ckuId;

    private Integer pid;

    private Integer pcount;

    private BigDecimal spPrice;

    private BigDecimal totalPrice;

    private Integer spIntegral;

    private Date addTime;

    private String xmid;

    private String pzId;

    private String payconfirm;

    private String operate;

    private Date operateTime;

    private String memberid;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid == null ? null : orderid.trim();
    }

    public String getCkuId() {
        return ckuId;
    }

    public void setCkuId(String ckuId) {
        this.ckuId = ckuId == null ? null : ckuId.trim();
    }

    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }

    public Integer getPcount() {
        return pcount;
    }

    public void setPcount(Integer pcount) {
        this.pcount = pcount;
    }

    public BigDecimal getSpPrice() {
        return spPrice;
    }

    public void setSpPrice(BigDecimal spPrice) {
        this.spPrice = spPrice;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Integer getSpIntegral() {
        return spIntegral;
    }

    public void setSpIntegral(Integer spIntegral) {
        this.spIntegral = spIntegral;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getXmid() {
        return xmid;
    }

    public void setXmid(String xmid) {
        this.xmid = xmid == null ? null : xmid.trim();
    }

    public String getPzId() {
        return pzId;
    }

    public void setPzId(String pzId) {
        this.pzId = pzId == null ? null : pzId.trim();
    }

    public String getPayconfirm() {
        return payconfirm;
    }

    public void setPayconfirm(String payconfirm) {
        this.payconfirm = payconfirm == null ? null : payconfirm.trim();
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate == null ? null : operate.trim();
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public String getMemberid() {
        return memberid;
    }

    public void setMemberid(String memberid) {
        this.memberid = memberid == null ? null : memberid.trim();
    }
}